## rhythmbox 3.4.6

=== meson_options.txt ===
option('brasero', type: 'feature', value: 'auto',
       description: 'Enable disc burning support using libbrasero-media')
option('daap', type: 'feature', value: 'auto',
       description: 'Enable DAAP sharing support using libdmapsharing')
option('fm_radio', type: 'feature', value: 'auto',
       description: 'Enable FM radio support')
option('grilo', type: 'feature', value: 'auto',
       description: 'Enable Grilo support')
option('gudev', type: 'feature', value: 'auto',
       description: 'Enable GUdev for hardware detection')
option('ipod', type: 'feature', value: 'auto',
       description: 'Enable iPod support')
option('libnotify', type: 'feature', value: 'auto',
       description: 'Enable desktop notifications with libnotify')
option('libsecret', type: 'feature', value: 'auto',
       description: 'Enable keyring support using libsecret')
option('lirc', type: 'feature', value: 'auto',
       description: 'Enable lirc support')
option('mtp', type: 'feature', value: 'auto',
       description: 'Enable MTP support')
option('plugins_python', type: 'feature', value: 'auto',
       description: 'Enable Python plugins')
option('plugins_vala', type: 'feature', value: 'auto',
       description: 'Enable Vala plugins')
option('sample-plugins', type: 'boolean', value: 'false',
       description: 'Whether to install sample plugins')

option('help', type: 'boolean', value: 'true',
       description: 'Install user documentation')
option('gtk_doc', type: 'boolean', value: 'false',
       description: 'Use gtk-doc to build documentation')
option('tests', type: 'feature', value: 'auto',
       description: 'Build tests')

## rhythmbox 0.11.5-0ubuntu8netbook1natick3

=== debian/changelog ===
rhythmbox (0.11.5-0ubuntu8netbook1natick3) hardy; urgency=low

  * help/es/figures/rb-iradio-main.png: updated
  * help/es/figures/rb-toolbar.png: updated
  * help/es/figures/rb-toolbar-repeat.png: updated
  * help/es/figures/rb-toolbar-shuffle.png: updated
  * help/es/figures/rb-window.png: updated
  * help/pt_BR/figures/rb-iradio-main.png: updated
  * help/pt_BR/figures/rb-toolbar.png:updated
  * help/pt_BR/figures/rb-toolbar-repeat.png: updated
  * help/pt_BR/figures/rb-toolbar-shuffle.png: updated
  * help/pt_BR/figures/rb-window.png: updated
  * es_MX.po: deleted
  * es.po: updated
  * LINGUAS: modified

 -- Tony Guo <tony.guo@intel.com>  Wed, 15 Apr 2009 02:00:48 +0000

rhythmbox (0.11.5-0ubuntu8netbook1natick2) hardy; urgency=low

  * po/es.po updated
  * po/pt_BR.po updated
  * LINGUAS modified
  * podcast-prefs.glade modified
  * library-prefs.glade modifiedi
  * es user manual updated
  * pt_BR user manual added

 -- Tony Guo <tony.guo@intel.com>  Fri, 06 Mar 2009 07:09:35 +0000

rhythmbox (0.11.5-0ubuntu8netbook1) hardy; urgency=low

  * debian/patches/07_fix_import_error.patch:
    - Use backup import folder of rb_music_dir() (LP: #263571)

 -- Michael Terry <michael.terry@canonical.com>  Fri, 05 Sep 2008 13:51:18 -0400

rhythmbox (0.11.5-0ubuntu8) hardy-proposed; urgency=low

  * debian/patches/70_from_svn_fix_incorrect_shuffle_detection.patch:
    - change from svn, correctly detect the new ipod shuffle devices
  * debian/patches/71_from_svn_fix_ipod_aac_copies.patch:
    - change from svn, don't convert aac when they are copied to an ipod 
      (lp: #164265)
  * debian/patches/72_from_svn_ipod_correct_set_year_tag.patch:
    - change from svn, correctly set the year when copying a song to an ipod
      (lp: #144273)
	
 -- Sebastien Bacher <seb128@canonical.com>  Thu, 12 Jun 2008 10:32:09 +0200

rhythmbox (0.11.5-0ubuntu7) hardy-proposed; urgency=low

  * debian/patches/81_use_uri_to_import_directory.patch:
    - set the library uri correctly, fix import issues for songs which use 
      whitespaces, thanks to Josh Smith who tracked the bug (lp: #147883)
  * debian/patches/95_from_svn_extra_translatable_strings.patch:
    - change from svn, mark some extra strings as translatable
  * debian/patches/96_from_svn_fix_artwork_crasher.patch:
    - change from svn, don't try to get the artwork when there is no
      album or artist information available (lp: #209405)
  * debian/patches/97_from_svn_fix_ipod_crasher.patch:
    - change from svn, correctly set the signal to avoid a crasher (lp: #177660)
  * debian/patches/98_from_svn_correctly_handle_playing_changes.patch:
    - change from svn, correctly handle the playing changes, fix titles not
      being correctly updated and some crashers (lp: #121358, #128162, #137986)

 -- Sebastien Bacher <seb128@canonical.com>  Tue, 13 May 2008 14:48:28 +0200

rhythmbox (0.11.5-0ubuntu6) hardy; urgency=low

  * debian/rhythmbox.gconf-defaults:
    - don't activate the power manager option it breaks suspend for example
      (lp: #78038)

 -- Sebastien Bacher <seb128@canonical.com>  Mon, 21 Apr 2008 14:59:43 +0200

rhythmbox (0.11.5-0ubuntu5) hardy; urgency=low

  * debian/patches/94_from_svn_fix_podcast_parsing_issue.patch:
    - change from svn, fix podcast parsing issue

 -- Sebastien Bacher <seb128@canonical.com>  Mon, 21 Apr 2008 14:56:58 +0200

rhythmbox (0.11.5-0ubuntu4) hardy; urgency=low

  * debian/patches/93_from_svn_fix_xfade_locking_issue.patch:
    - change from svn, fix some xfade locking issues (lp: #207450)

 -- Sebastien Bacher <seb128@canonical.com>  Mon, 14 Apr 2008 15:35:55 +0200

rhythmbox (0.11.5-0ubuntu3) hardy; urgency=low

  * debian/patches/92_from_svn_fix_amazon_coverts_download.patch:
    - change from svn, fix the amazon coverts download (lp: #209019)
  * debian/patches/93_from_svn_fix_cdda_gvfs_handling.patch:
    - change from svn, switch to the audio cd entry when rhythmbox 
      is autostarted or when clicking on an cd icon in nautilus 

 -- Sebastien Bacher <seb128@canonical.com>  Fri, 11 Apr 2008 17:31:12 +0200

rhythmbox (0.11.5-0ubuntu2) hardy; urgency=low

  * debian/control.in,
    debian/patches/01_lpi.patch:
    - updated to the new launchpad integration version
  * debian/patches/06_oggradios.patch:
    - updated the initial ogg stations list using the redhat one,
      should fix the playback issues due to not responding servers (lp: #183825)

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 10 Apr 2008 00:51:43 +0200

rhythmbox (0.11.5-0ubuntu1) hardy; urgency=low

  * New upstream version:
    - Improvements to the cross-fading playback backend
    - Assorted bug fixed for MTP device support
    - Add "shuffle playlist" command for playlists
    - Improvements to iPod art and podcast support
    - Fix some issues causing problems for accessability tools
    - Several major improvements to UPnP support 
    - List Rhythmbox as supporting lastfm:// URIs
  * debian/patches/80_from_bugzilla_use_gio_trash.patch:
    - dropped, fixed in the new version
  * debian/patches/90_from_svn_fix_audioscrobbler_issue.patch:
    - change from svn, fix audioscrobbler issue
  * debian/patches/91_from_svn_fix_eject_crasher.patch:
    - change from svn, fix eject crasher 

 -- Sebastien Bacher <seb128@canonical.com>  Sat, 22 Mar 2008 19:34:25 +0100

rhythmbox (0.11.4.90-0ubuntu1) hardy; urgency=low

  * New upstream version
  * debian/patches/01_install_podcast_xul1.9.patch:
    - renamed and updated
  * debian/patches/01_lpi.patch,
    debian/patches/02_autoconf.patch,
    debian/patches/80_browser_by_default.patch:
    - new version update
  * debian/patches/03_fix_segfault_in_rb_metadata_get_missing_plugins.patch,
    debian/patches/81_from_redhat_use_new_libsoup_version.patch,
    debian/patches/82_from_bugzilla_use_new_key_naming.patch,
    debian/patches/90_from_svn_ipod_copy_whole_album_artwork.patch,
    debian/patches/90_from_svn_use_new_nautilus_mimetypes.patch:


=== debian/control ===
Source: rhythmbox
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Loic Minier <lool@dooz.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends: cdbs (>= 0.4.37),
               debhelper (>= 5.0.37.2),
               libgnome2-dev (>= 2.0.5-1),
               libgtk2.0-dev (>= 2.8.0),
               scrollkeeper,
               libgnomeui-dev (>= 2.8.1-3),
               libgnomevfs2-dev (>= 2.8.0),
               docbook-xsl (>= 1.54.1),
               docbook-utils (>= 0.6.11),
               gnome-pkg-tools,
               libxt-dev,
               libxml-parser-perl,
               libdbus-glib-1-dev (>= 0.60),
               libnautilus-burn-dev (>= 2.14),
               libhal-dev (>= 0.5) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libtotem-plparser-dev (>= 2.21.4),
               xulrunner-1.9-dev,
               pkg-config,
               liblircclient-dev,
               libsoup2.4-dev (>= 2.3.2),
               libavahi-client-dev (>= 0.6),
               libmusicbrainz4-dev (>= 2.1.0),
               libavahi-glib-dev (>= 0.6),
               libtool,
               libgpod-dev (>= 0.4),
               libnotify-dev (>= 0.3.2),
               libglade2-dev,
               libgstreamer0.10-dev (>= 0.10.12),
               libgstreamer-plugins-base0.10-dev (>= 0.10.4),
               zlib1g-dev,
               libx11-dev,
               libglib2.0-dev (>= 2.13.0),
               gtk-doc-tools (>= 1.4),
               libsexy-dev (>= 0.1.5),
               python,
               python-gst0.10,
               python-gtk2-dev (>= 2.10),
               python-dev,
               gnome-doc-utils,
               libgnome-media-dev (>= 2.8),
               libgnome-keyring-dev,
               python-support (>= 0.5.6),
               libmtp-dev,
               liblaunchpad-integration-dev (>= 0.1.17),
               linux-libc-dev
Standards-Version: 3.7.2
XS-Python-Version: >= 2.5

Package: rhythmbox
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python:Depends},
         dbus,
         gstreamer0.10-gnomevfs,
         gstreamer0.10-plugins-base,
         gstreamer0.10-plugins-good,
         libgstreamer0.10-0,
         gstreamer0.10-alsa | gstreamer0.10-audiosink,
         python-gnome2 (>= 2.18),
         python-gtk2 (>= 2.10),
         gnome-icon-theme,
         gstreamer0.10-x
Conflicts: gnome-control-center (<< 2.15.90)
Recommends: scrollkeeper,
            yelp,
            avahi-daemon,
            sound-juicer,
            gnome-volume-manager,
            hal,
            notification-daemon,
            gnome-control-center (>= 2.15.90),
            libgnomevfs2-extra,
            gstreamer0.10-plugins-ugly,
            python-louie,
            python-coherence
Suggests: gstreamer0.10-plugins-bad
XB-Python-Version: ${python:Versions}
Description: music player and organizer for GNOME
 Rhythmbox is a very easy to use music playing and management program
 which supports a wide range of audio formats (including mp3 and ogg).
 Originally inspired by Apple's iTunes, the current version also supports
 Internet Radio, iPod integration and generic portable audio player
 support, Audio CD burning, Audio CD playback, music sharing, and
 Podcasts.

Package: rhythmbox-dbg
Architecture: any
Priority: extra
Depends: rhythmbox (= ${binary:Version})
Recommends: libgstreamer0.10-0-dbg,
            gstreamer0.10-plugins-base-dbg,
            gstreamer0.10-plugins-good-dbg,
            gstreamer0.10-plugins-ugly-dbg
Description:  debugging symbols for rhythmbox
 Rhythmbox is a very easy to use music playing and management program
 which supports a wide range of audio formats (including mp3 and ogg).
 Originally inspired by Apple's iTunes, the current version also supports
 Internet Radio, iPod integration and generic portable audio player
 support, Audio CD burning, Audio CD playback, music sharing, and
 Podcasts.
 .
 This package contains the debugging symbols for rhythmbox.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/check-dist.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

# lirc support
DEB_CONFIGURE_EXTRA_FLAGS += --enable-lirc
# disable scrollkeeper-update in make install
DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper
# xulrunner 1.9 is has mozilla-plugin.pc for npapi plugins
DEB_CONFIGURE_EXTRA_FLAGS += --with-gecko=mozilla

# exclude plugins from shlibs generation
DEB_DH_MAKESHLIBS_ARGS_rhythmbox += -Xdebian/$(cdbs_curpkg)/usr/lib/rhythmbox

binary-install/rhythmbox::
	# kill *.a and *.la files of plugins and the shared lib
	find debian/rhythmbox -name '*.a' -exec rm -f '{}' ';'
	find debian/rhythmbox -name '*.la' -exec rm -f '{}' ';'
	dh_pysupport /usr/lib/rhythmbox/plugins

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/rhythmbox/([\d\.]+)[02468]/ \
	rhythmbox-(.*).tar.gz \
	debian uupdate

## rhythmbox 0.12.8

=== debian/changelog ===
rhythmbox (0.12.8-3) unstable; urgency=low

  * Drop type-handling usage. Closes: #587870.
  * Bump standards version accordingly.
  * 04_mtp_crash.patch: stolen upstream. Fix a crasher in MTP player 
    management.

 -- Josselin Mouette <joss@debian.org>  Thu, 30 Dec 2010 14:23:55 +0100

rhythmbox (0.12.8-2) unstable; urgency=low

  * Switch to format 3.0 (quilt).
  * debian/patches/02_python_fixes.patch:
    - Fix segfault at startup with python2.6 as default Python version.
  * debian/control.in:
    - Let rhythmbox-plugin-coherence depend on rhythmbox-plugin, it
      needs some Python modules provided by it (Closes: #582621).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 19 Jun 2010 10:33:29 +0200

rhythmbox (0.12.8-1) unstable; urgency=low

  * rhythmbox-plugins depends on python-gnomekeyring. Closes: #576428.
  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Wed, 07 Apr 2010 21:20:17 +0200

rhythmbox (0.12.7-1) unstable; urgency=low

  * New upstream release.
    - Builds fine with Python 2.6. Closes: #571510.
    - Allows to change the sorting name for artists and albums.
      Closes: #261443.
    - Fixes sorting order of localized sentences. Closes: #489207.
    - debian/control.in:
      + Update build dependencies.
    - debian/rhythmbox.1,
      debian/rhythmbox-client.1,
      debian/rhythmbox.manpages:
      + Removed, the manpages are now shipped upstream.
    - debian/rhythmbox-plugins.install,
      debian/control.in:
      + Install the new sendto and replaygain plugins, and list them in
        the package description.
    - debian/control.in:
      + rhythmbox-plugins now recommends nautilus-sendto.
  * debian/copyright:
    - Add a couple of missing files with different licenses.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 05 Mar 2010 17:18:26 +0100

rhythmbox (0.12.6-5) unstable; urgency=low

  * debian/rules:
    - Don't install the fmradio plugin on non Linux architectures.
      Fixes FTBFS on kFreeBSD. Closes: #570888.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 22 Feb 2010 20:09:14 +0100

rhythmbox (0.12.6-4) unstable; urgency=low

  * Split plugins in a separate rhythmbox-plugins package, plus another 
    one for the coherence plugin and one for the cdrecorder plugin. 
    Mostly based on a patch by Yves-Alexis Perez. Closes: #566711.
  * rhythmbox-plugins depends on python-webkit and python-mako.
    Closes: #558203.

 -- Josselin Mouette <joss@debian.org>  Mon, 15 Feb 2010 17:33:32 +0100

rhythmbox (0.12.6-3) unstable; urgency=low

  [ Josselin Mouette ]
  * Drop recommends on hal on Linux.

  [ Emilio Pozuelo Monfort ]
  * debian/patches/01_dlna_vorbis.patch:
    - Add header.
  * Standards-Version is 3.8.4, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 05 Feb 2010 09:07:46 +0100

rhythmbox (0.12.6-2) unstable; urgency=low

  * Switch to quilt for patch management.
  * 01_dlna_vorbis.patch: patch from Brent Hendricks to enable Ogg 
    Vorbis playback on UPnP/DLNA shares. Closes: #558694.
  * Use gudev on Linux, not HAL.
  * Conflict against HAL-enabled gvfs. Part of Closes: #561083.
  * Depend on media-player-info on Linux. 

 -- Josselin Mouette <joss@debian.org>  Mon, 14 Dec 2009 14:35:42 +0100

rhythmbox (0.12.6-1) unstable; urgency=low

  * New upstream release.
    - Builds with ld's --no-add-needed and binutils-gold. Closes: #556320.
    - debian/patches/01_inhibit_g-session.patch,
      debian/patches/02_track_finished.patch:
      + Removed, fixed upstream.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 22 Nov 2009 13:07:31 +0100

rhythmbox (0.12.5-2) unstable; urgency=low

  [ Josselin Mouette ]
  * 01_inhibit_g-session.patch: stolen upstream. Use gnome-session to 
    inhibit suspension. Closes: #553504.

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    - Build depend on xulrunner-dev rather than iceape-dev.
      Closes: #555913.

  [ Josselin Mouette ]
  * 02_track_finished.patch: stolen upstream. Clear the track status 
    when read has finished. Closes: #555189.

 -- Josselin Mouette <joss@debian.org>  Thu, 19 Nov 2009 10:59:02 +0100

rhythmbox (0.12.5-1) unstable; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 18 Sep 2009 18:00:38 +0200

rhythmbox (0.12.4-2) unstable; urgency=low

  * Stop build-depending on libnautilus-burn-dev, we get the cd burning
    support through libbrasero-media-dev.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 03 Sep 2009 17:48:58 +0200

rhythmbox (0.12.4-1) unstable; urgency=low

  * debian/NEWS: mention that the tray icon is now a plugin. Closes:
    #537137, #539612.
  * New upstream release.
  * Standards-Version is 3.8.3, no changes needed.
  * debian/rules:
    - Don't pass --with-gecko to configure, it's not used anymore.
    - Don't ship librhythmbox-core.so, it's a private library
      to be used by rhythmbox and its plugins.
    - Exclude /usr/lib/mozilla from the shlibs generation too.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 26 Aug 2009 18:00:42 +0200

rhythmbox (0.12.3-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Recommend gvfs-backends. Closes: #529654.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    - Migrated to playbin2, can now play chained oggs. Closes: #448215.
  * Update build-dependencies.

  [ Josselin Mouette ]
  * Update README.Debian to indicate that devices need to be mounted for 
    rhythmbox to see them.
  * Only suggest gnome-codec-install, it is way too obnoxious.

  [ Sam Morris ]
  * New upstream release.
    - Increased build-depends on gstreamer, libnotify and libsoup.
    - Build-depend on libsoup-gnome2.4-dev.
  * Enabled brasero now it's in unstable.

 -- Josselin Mouette <joss@debian.org>  Wed, 08 Jul 2009 22:49:25 +0200

rhythmbox (0.12.1-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Recommend gnome-codec-install rather than gnome-app-install.
    Closes: #523053.
  * New upstream release.


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: rhythmbox
Section: gnome
Priority: optional
Maintainer: Loic Minier <lool@dooz.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Luca Falavigna <dktrkranz@debian.org>
Build-Depends: cdbs (>= 0.4.37),
               debhelper (>= 5.0.37.2),
               gnome-pkg-tools (>= 0.6),
               intltool (>= 0.35.0),
               libdbus-glib-1-dev (>= 0.35),
               libgstreamer0.10-dev (>= 0.10.20),
               libgstreamer-plugins-base0.10-dev (>= 0.10.20),
               libgtk2.0-dev (>= 2.16.0),
               libglib2.0-dev (>= 2.18.0),
               libgnome-media-dev (>= 2.8),
               libnotify-dev (>= 0.4.1),
               libgpod-dev (>= 0.6),
               libmusicbrainz4-dev (>= 2.1.0),
               libbrasero-media-dev (>= 0.9.1),
               libtotem-plparser-dev (>= 2.26.0),
               libavahi-client-dev (>= 0.6),
               libavahi-glib-dev (>= 0.6),
               libsoup2.4-dev (>= 2.26.0),
               libsoup-gnome2.4-dev (>= 2.26.0),
               libgudev-1.0-dev (>= 143) [linux-any],
               libhal-dev (>= 0.5) [!linux-any],
               libmtp-dev (>= 0.3.0),
               libgnome-keyring-dev,
               zlib1g-dev,
               libxt-dev,
               x11proto-core-dev,
               libgconf2-dev,
               liblircclient-dev,
               gtk-doc-tools (>= 1.4),
               gnome-doc-utils,
               scrollkeeper,
               python-dev (>= 2.3),
               python-support (>= 0.5.3),
               python-gtk2-dev (>= 2.8.0),
               python-gst0.10-dev (>= 0.10.1),
               python-gobject-dev (>= 2.15.4),
               xulrunner-dev,
               docbook-xsl (>= 1.54.1),
               docbook-utils (>= 0.6.11),
               pkg-config,
               libglib2.0-doc,
               libgtk2.0-doc
Standards-Version: 3.9.0
XS-Python-Version: >= 2.3

Package: rhythmbox
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python:Depends},
         dbus,
         gstreamer0.10-plugins-base (>= 0.10.20),
         gstreamer0.10-plugins-good (>= 0.10.7),
         libgstreamer0.10-0,
         gstreamer0.10-alsa | gstreamer0.10-audiosink,
         python-gnome2 (>= 2.18),
         python-gtk2 (>= 2.10),
         gnome-icon-theme,
         gstreamer0.10-x,
         python-gst0.10,
         media-player-info [linux-any]
Conflicts: gnome-control-center (<< 2.15.90)
Breaks: gvfs (<< 1.4.1-6)
Recommends: yelp,
            avahi-daemon,
            hal [!linux-any],
            notification-daemon,
            gstreamer0.10-plugins-ugly,
            gvfs-backends,
            rhythmbox-plugins
Suggests: gstreamer0.10-plugins-bad,
          gnome-codec-install,
          gnome-control-center,
          rhythmbox-plugin-coherence,
          rhythmbox-plugin-cdrecorder
XB-Python-Version: ${python:Versions}
Description: music player and organizer for GNOME
 Rhythmbox is a very easy to use music playing and management program
 which supports a wide range of audio formats (including mp3 and ogg).
 Originally inspired by Apple's iTunes, the current version also supports
 Internet Radio, iPod integration and generic portable audio player
 support, Audio CD burning, Audio CD playback, music sharing, and
 Podcasts.

Package: rhythmbox-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends},
         rhythmbox (= ${binary:Version})
Recommends: libgstreamer0.10-0-dbg,
            gstreamer0.10-plugins-base-dbg,
            gstreamer0.10-plugins-good-dbg,
            gstreamer0.10-plugins-ugly-dbg
Description: debugging symbols for rhythmbox
 Rhythmbox is a very easy to use music playing and management program
 which supports a wide range of audio formats (including mp3 and ogg).
 Originally inspired by Apple's iTunes, the current version also supports
 Internet Radio, iPod integration and generic portable audio player
 support, Audio CD burning, Audio CD playback, music sharing, and
 Podcasts.
 .
 This package contains the debugging symbols for rhythmbox.

Package: rhythmbox-plugins
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python:Depends},
         rhythmbox (= ${binary:Version}),
         python-webkit,
         python-mako,
         python-gnomekeyring
Recommends: nautilus-sendto
Conflicts: rhythmbox (<< 0.12.6-4)
Replaces: rhythmbox (<< 0.12.6-4)
XB-Python-Version: ${python:Versions}
Description: plugins for rhythmbox music player
 Rhythmbox is a very easy to use music playing and management program
 which supports a wide range of audio formats (including mp3 and ogg).
 Originally inspired by Apple's iTunes, the current version also supports
 Internet Radio, iPod integration and generic portable audio player
 support, Audio CD burning, Audio CD playback, music sharing, and
 Podcasts.
 .
 This package contains the following plugins:
  - Cover art
  - Audio CD Player
  - Last.fm
  - Context Panel
  - DAAP Music Sharing
  - FM Radio
  - Portable Players
  - IM Status
  - Portable Players - iPod
  - Internet Radio
  - Jamendo
  - Song Lyrics
  - Magnatune Store
  - Media Player Keys
  - Portable Players - MTP
  - Power Manager
  - Python Console
  - LIRC
  - Status Icon
  - Visualization
  - Browser plugin to integrate Rhythmbox with itunes
  - Nautilus Send-to
  - Replay Gain

Package: rhythmbox-plugin-cdrecorder
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         rhythmbox (= ${binary:Version})
Conflicts: rhythmbox (<< 0.12.6-4)
Replaces: rhythmbox (<< 0.12.6-4)
Description: burning plugin for rhythmbox music player
 Rhythmbox is a very easy to use music playing and management program
 which supports a wide range of audio formats (including mp3 and ogg).
 Originally inspired by Apple's iTunes, the current version also supports
 Internet Radio, iPod integration and generic portable audio player
 support, Audio CD burning, Audio CD playback, music sharing, and
 Podcasts.
 .
 This package contains the brasero based CD/DVD burning plugin.

Package: rhythmbox-plugin-coherence
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-coherence,
         rhythmbox (>= ${gnome:Version}),
         rhythmbox (<< ${gnome:NextVersion}),
         rhythmbox-plugins (>= ${gnome:Version}),
         rhythmbox-plugins (<< ${gnome:NextVersion})
Conflicts: rhythmbox (<< 0.12.6-4)
Replaces: rhythmbox (<< 0.12.6-4)
XB-Python-Version: ${python:Versions}
Description: UPnp plugin for rhythmbox music player
 Rhythmbox is a very easy to use music playing and management program
 which supports a wide range of audio formats (including mp3 and ogg).
 Originally inspired by Apple's iTunes, the current version also supports
 Internet Radio, iPod integration and generic portable audio player
 support, Audio CD burning, Audio CD playback, music sharing, and
 Podcasts.
 .
 This package contains the coherence DLNA/UPnp plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS += --enable-lirc
DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper

ifeq ($(DEB_HOST_ARCH_OS),linux)
DEB_CONFIGURE_EXTRA_FLAGS += --without-hal --with-gudev
else
DEB_CONFIGURE_EXTRA_FLAGS += --with-hal --without-gudev
endif

ifneq ($(DEB_HOST_ARCH_OS),linux)
# Linux specific, needs linux/videodev2.h
# There's no DEB_DH_INSTALL_ARGS_$package... #468208
DEB_DH_INSTALL_ARGS += -Xfmradio
endif

# exclude plugins from shlibs generation
DEB_DH_MAKESHLIBS_ARGS_rhythmbox-plugins += --no-act
DEB_DH_MAKESHLIBS_ARGS_rhythmbox-plugin-cdrecorder += --no-act

$(patsubst %,binary-post-install/%,$(DEB_PACKAGES)) ::
	find debian/$(cdbs_curpkg) -name '*.a' -exec rm -f '{}' ';'
	find debian/$(cdbs_curpkg) -name '*.la' -exec rm -f '{}' ';'
	dh_pysupport -p$(cdbs_curpkg) /usr/lib/rhythmbox

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/rhythmbox/([\d\.]+)[02468]/ \
	rhythmbox-(.*).tar.gz

## rhythmbox 0.13.3

=== debian/changelog ===
rhythmbox (0.13.3-0ubuntu5) natty; urgency=low

  * debian/patches: readd all patches back (thanks ricotz for the notice)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 01 Apr 2011 17:18:15 +0200

rhythmbox (0.13.3-0ubuntu4) natty; urgency=low

  * 90_git_lyric_cover.patch: git backport, fix cover issues in the indicator

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 31 Mar 2011 22:53:48 +0200

rhythmbox (0.13.3-0ubuntu3) natty; urgency=low

  * debian/patches/20_pause_button.patch:
    - fix untranslatable strings (LP: #695411).
      Patch contributed by Gabor Kelemen

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 11 Mar 2011 10:31:45 +0100

rhythmbox (0.13.3-0ubuntu2) natty; urgency=low

  * debian/control.in: Drop hal build dependency and recommends. It's 2011!
    The only thing using it is the MTP plugin, and that prefers using gudev,
    so this doesn't drop any functionality at all.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 27 Jan 2011 09:56:52 +0100

rhythmbox (0.13.3-0ubuntu1) natty; urgency=low

  * New upstream version
  * debian/patches/01_dlna_vorbis.patch:
    - dropped, the fix is in the new version
  * debian/patches/16_ubuntu_ayatana_register.patch,
    debian/rules:
    - dropped, the sound indicator registration relies only on mpris now
  * debian/control.in,
    debian/patches/19_build_vala.patch,
    debian/rules:
    - drop vala build, it's not really useful and still on vala 0.10
  * debian/patches/21_update_louie_imports.patch:
    - dropped, the fix is in the new version
  * Updated the .installs

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 20 Jan 2011 18:41:16 +0100

rhythmbox (0.13.2-0ubuntu4) natty; urgency=low

  * debian/control.in: Update build dependencies to current webkit.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 13 Jan 2011 11:01:38 -0600

rhythmbox (0.13.2-0ubuntu3) natty; urgency=low

  * debian/control.in:
    - Rename gir1.0 depends to gir1.2 following abi change

 -- Michael Terry <mterry@ubuntu.com>  Tue, 21 Dec 2010 14:20:30 -0500

rhythmbox (0.13.2-0ubuntu2) natty; urgency=low

  * debian/control.in: 
    - don't depends on python-gnome it's not used
  * debian/patches/23_no_gnome_python.patch:
    - drop the "import gnome" statements since python-gnome is not used
      in the code

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Dec 2010 21:32:48 +0100

rhythmbox (0.13.2-0ubuntu1) natty; urgency=low

  * debian/patches/16_ubuntu_ayatana_register.patch:
    - updated to build with the new vala, thanks Neil for the hint!
  * debian/rhythmbox-plugins.install:
    - list dbus-media-server and rbzeitgeist
  * debian/rhythmbox-dev.install: 
    - don't version the vala directory
  * debian/patches/22_impl-add-uri-hack.patch:
    - dropped, that was a workaround which is not required in the new version

  [ Robert Ancell ]
  * New upstream release
  * debian/control:
    - Build-depend on dh-autoreconf
    - Bump build-depends on libgpod-dev, libtotem-plparser-dev,
      libdmapsharing-dev
    - Build-depend on libjson-glib-dev
    - Use standards version 3.9.1
  * debian/source:
    - Use source version 3.0
  * debian/rules:
    - Use autoreconf.mk
  * debian/patches/92_git_add_hardcoded_extensions_for_common_media_types.patch:
  * debian/patches/91_git_fix_upnp_support.patch:
    - Applied upstream

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Nov 2010 18:15:07 +0100

rhythmbox (0.13.1-0ubuntu6) maverick-proposed; urgency=low

  * debian/patches/92_git_add_hardcoded_extensions_for_common_media_types.patch:
    backport from upstream, add a fallback system to rename files accordingly to
    what the device is expecting even if the right encoder isn't installed
    (LP: #659244)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 02 Nov 2010 13:05:02 +0100

rhythmbox (0.13.1-0ubuntu5) maverick; urgency=low

  * debian/patches/22_impl-add-uri-hack.patch:
    debian/patches/series:
    - Add upstream patch to unbreak Python bindings for add_uri method.

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Mon, 27 Sep 2010 13:24:54 +0200

rhythmbox (0.13.1-0ubuntu4) maverick; urgency=low

  * debian/patches/22_hide_on_quit.patch: (LP: #526552):
    - slightly change the behavior: only hide rhythmbox if a music is playing.
      Close or ctrl<w> quit rhythmbox otherwise.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 09 Sep 2010 21:58:43 +0200

rhythmbox (0.13.1-0ubuntu3) maverick; urgency=low

  * debian/patches/22_hide_on_quit.patch: (LP: #526552)
    - the close and ctrl<w> buttons are now mapped to hide the main window (can
      bring it back using the soundmenu). Music -> Quit should be used to really
      close rhythmbox.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 09 Sep 2010 11:13:55 +0200

rhythmbox (0.13.1-0ubuntu2) maverick; urgency=low

  * debian/patches/91_git_fix_upnp_support.patch (LP: #350826)
    - backport from trunk to fix coherence plugin exception.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 08 Sep 2010 12:32:30 +0200

rhythmbox (0.13.1-0ubuntu1) maverick; urgency=low

  * New upstream version, dropped backported which are int he new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Sep 2010 18:25:58 +0200

rhythmbox (0.13.0git20100819-0ubuntu3) maverick; urgency=low

  * No change rebuild to fix brasero dependencies.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sun, 05 Sep 2010 11:59:58 -0500

rhythmbox (0.13.0git20100819-0ubuntu2) maverick; urgency=low

  * debian/patches/90_git_correct_imstatus.patch:
    - git backport to fix im-status updates not working
  * debian/patches/91_git_idle_handler.patch:
    - git backport to fix a crash on closing
  * debian/patches/92_git_criterion_value.patch:
    - git backport to fix an incorrect type leading to crashes (lp: #626252)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 30 Aug 2010 19:41:52 +0200

rhythmbox (0.13.0git20100819-0ubuntu1) maverick; urgency=low

  * New git version, renamed patches specifics to ubuntu for easier review


=== debian/control ===
--- 
+++ 
@@ -6,34 +6,39 @@
 Source: rhythmbox
 Section: gnome
 Priority: optional
-Maintainer: Loic Minier <lool@dooz.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Luca Falavigna <dktrkranz@debian.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Loic Minier <lool@dooz.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends: cdbs (>= 0.4.37),
                debhelper (>= 5.0.37.2),
+               dh-autoreconf,
+               gnome-common,
                gnome-pkg-tools (>= 0.6),
                intltool (>= 0.35.0),
                libdbus-glib-1-dev (>= 0.35),
                libgstreamer0.10-dev (>= 0.10.20),
                libgstreamer-plugins-base0.10-dev (>= 0.10.20),
                libgtk2.0-dev (>= 2.16.0),
-               libglib2.0-dev (>= 2.18.0),
+               libglib2.0-dev (>= 2.25.6),
                libgnome-media-dev (>= 2.8),
                libnotify-dev (>= 0.4.1),
-               libgpod-dev (>= 0.6),
+               libgpod-dev (>= 0.7.92),
                libmusicbrainz4-dev (>= 2.1.0),
                libbrasero-media-dev (>= 0.9.1),
-               libtotem-plparser-dev (>= 2.26.0),
+               libtotem-plparser-dev (>= 2.32.1),
                libavahi-client-dev (>= 0.6),
                libavahi-glib-dev (>= 0.6),
+               libwebkitgtk-dev (>= 1.1.17),
                libsoup2.4-dev (>= 2.26.0),
                libsoup-gnome2.4-dev (>= 2.26.0),
-               libgudev-1.0-dev (>= 143) [linux-any],
-               libhal-dev (>= 0.5) [!linux-any],
+               libgudev-1.0-dev (>= 143) | not+linux-gnu,
                libmtp-dev (>= 0.3.0),
                libgnome-keyring-dev,
                zlib1g-dev,
                libxt-dev,
                x11proto-core-dev,
+               libdmapsharing-dev (>= 2.1.6),
+               libjson-glib-dev,
                libgconf2-dev,
                liblircclient-dev,
                gtk-doc-tools (>= 1.4),
@@ -44,14 +49,16 @@
                python-gtk2-dev (>= 2.8.0),
                python-gst0.10-dev (>= 0.10.1),
                python-gobject-dev (>= 2.15.4),
-               xulrunner-dev,
                docbook-xsl (>= 1.54.1),
                docbook-utils (>= 0.6.11),
                pkg-config,
                libglib2.0-doc,
-               libgtk2.0-doc
-Standards-Version: 3.9.0
+               libgtk2.0-doc,
+               liblaunchpad-integration-dev (>= 0.1.17),
+               libindicate-dev
+Standards-Version: 3.9.1
 XS-Python-Version: >= 2.3
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/rhythmbox/ubuntu
 
 Package: rhythmbox
 Architecture: any
@@ -63,7 +70,6 @@
          gstreamer0.10-plugins-good (>= 0.10.7),
          libgstreamer0.10-0,
          gstreamer0.10-alsa | gstreamer0.10-audiosink,
-         python-gnome2 (>= 2.18),
          python-gtk2 (>= 2.10),
          gnome-icon-theme,
          gstreamer0.10-x,
@@ -73,16 +79,16 @@
 Breaks: gvfs (<< 1.4.1-6)
 Recommends: yelp,
             avahi-daemon,
-            hal [!linux-any],
             notification-daemon,
-            gstreamer0.10-plugins-ugly,
             gvfs-backends,
-            rhythmbox-plugins
+            rhythmbox-plugins,
+            rhythmbox-plugin-cdrecorder
 Suggests: gstreamer0.10-plugins-bad,
           gnome-codec-install,
           gnome-control-center,
-          rhythmbox-plugin-coherence,
-          rhythmbox-plugin-cdrecorder
+          gstreamer0.10-plugins-ugly,
+          brasero,
+          rhythmbox-plugin-coherence
 XB-Python-Version: ${python:Versions}
 Description: music player and organizer for GNOME
  Rhythmbox is a very easy to use music playing and management program
@@ -100,8 +106,8 @@
          rhythmbox (= ${binary:Version})
 Recommends: libgstreamer0.10-0-dbg,
             gstreamer0.10-plugins-base-dbg,
-            gstreamer0.10-plugins-good-dbg,
-            gstreamer0.10-plugins-ugly-dbg
+            gstreamer0.10-plugins-good-dbg
+Suggests: gstreamer0.10-plugins-ugly-dbg
 Description: debugging symbols for rhythmbox
  Rhythmbox is a very easy to use music playing and management program
  which supports a wide range of audio formats (including mp3 and ogg).
@@ -111,6 +117,23 @@
  Podcasts.
  .
  This package contains the debugging symbols for rhythmbox.
+
+Package: rhythmbox-dev
+Architecture: any
+Priority: extra
+Section: devel
+Depends: ${misc:Depends},
+         rhythmbox (= ${binary:Version})
+Replaces: rhythmbox (<< 0.12.8git20100611)
+Description: devel files for rhythmbox
+ Rhythmbox is a very easy to use music playing and management program
+ which supports a wide range of audio formats (including mp3 and ogg).
+ Originally inspired by Apple's iTunes, the current version also supports
+ Internet Radio, iPod integration and generic portable audio player
+ support, Audio CD burning, Audio CD playback, music sharing, and
+ Podcasts.
+ .
+ This package contains the devel files required to do builds for rhythmbox.
 
 Package: rhythmbox-plugins
 Architecture: any
@@ -118,10 +141,8 @@
          ${shlibs:Depends},
          ${python:Depends},
          rhythmbox (= ${binary:Version}),
-         python-webkit,
-         python-mako,
-         python-gnomekeyring
-Recommends: nautilus-sendto
+Recommends: python-webkit,
+            python-mako
 Conflicts: rhythmbox (<< 0.12.6-4)
 Replaces: rhythmbox (<< 0.12.6-4)
 XB-Python-Version: ${python:Versions}
@@ -181,9 +202,7 @@
          ${python:Depends},
          python-coherence,
          rhythmbox (>= ${gnome:Version}),
-         rhythmbox (<< ${gnome:NextVersion}),
-         rhythmbox-plugins (>= ${gnome:Version}),
-         rhythmbox-plugins (<< ${gnome:NextVersion})
+         rhythmbox (<< ${gnome:NextVersion})
 Conflicts: rhythmbox (<< 0.12.6-4)
 Replaces: rhythmbox (<< 0.12.6-4)
 XB-Python-Version: ${python:Versions}

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,13 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
-DEB_CONFIGURE_EXTRA_FLAGS += --enable-lirc
+DEB_CONFIGURE_EXTRA_FLAGS += --enable-lirc --disable-vala
 DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
